package com.robot.remote.smartrobotremote.mapper;


import com.robot.remote.smartrobotremote.domain.BizDevice;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * 设备Mapper接口
 * 
 * @author slibra
 * @date 2024-09-26
 */
@Mapper
public interface BizDeviceMapper 
{
    /**
     * 查询设备
     * 
     * @param deviceId 设备主键
     * @return 设备
     */
    public BizDevice selectBizDeviceByDeviceId(Long deviceId);

    /**
     * 查询设备列表
     * 
     * @param bizDevice 设备
     * @return 设备集合
     */
    public List<BizDevice> selectBizDeviceList(BizDevice bizDevice);

    /**
     * 新增设备
     * 
     * @param bizDevice 设备
     * @return 结果
     */
    public int insertBizDevice(BizDevice bizDevice);

    /**
     * 修改设备
     * 
     * @param bizDevice 设备
     * @return 结果
     */
    public int updateBizDevice(BizDevice bizDevice);

    /**
     * 删除设备
     * 
     * @param deviceId 设备主键
     * @return 结果
     */
    public int deleteBizDeviceByDeviceId(Long deviceId);

    /**
     * 批量删除设备
     * 
     * @param deviceIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteBizDeviceByDeviceIds(Long[] deviceIds);


}
